.portfolio-navbar {
    position: fixed;
    top: 40%;
    left: 100%;
    margin-top: -90px;
    margin-left: -80px;
    z-index: 50;
}

.nav-list {
    padding: 12px;
    list-style-type: none;
    border-radius: 100px;
}

.nav-circle {
    height: 50px;
    width: 50px;
    background-color: black;
    border-radius: 50%;
    margin-top: 5px;
    margin-bottom: 5px;
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
    animation-timing-function: ease-out; 
    cursor: pointer;
}

.nav-list h6 {
    text-align: center;
}

.nav-circle-spin-one {
    position: absolute;
    width: 50px;
    height: 50px;
    animation: spinNav 4s linear infinite;
    animation-delay: -2s;
}

.nav-circle-spin-two {
    opacity: 0;
    position: absolute;
    width: 50px;
    height: 50px;
    animation: spinNav 4s linear infinite;
    transition: opacity 1s;
} 

.nav-circle:hover .nav-circle-spin-two {
    animation: spinNav 4s linear infinite;
    opacity: 1;
}

.active-section .nav-circle-spin-two {
    animation: spinNav 4s linear infinite;
    opacity: 1;
}

.nav-circle span {
    position: absolute;
    inset: 2px;
    border-radius: 50%;
    background: black;
    z-index: 1;
}

.nav-circle .nav-icon {
    margin: 0;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 2;
}

@keyframes spinNav {
    0%
    {
      transform: rotate(0deg);
    }
    100%
    {
      transform: rotate(360deg);
    }
}